org.apache.ignite.client

## Interface ClientTransaction

All Superinterfaces:
  AutoCloseable

    public interface ClientTransaction
    extends AutoCloseable

Thin client transaction.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Ends the transaction.
`void` `commit()` Commits this transaction.
`void` `rollback()` Rolls back this transaction.

### Method Detail

#### commit

    void commit()
         throws ClientServerError,
                ClientException

Commits this transaction.

Throws:
  `ClientException` - If the transaction is already closed or transaction was started by another thread.
  `ClientServerError` - If commit failed.

#### rollback

    void rollback()
           throws ClientServerError,
                  ClientException

Rolls back this transaction.

Throws:
  `ClientServerError` - If rollback failed.
  `ClientException`

#### close

    void close()

Ends the transaction. Transaction will be rolled back if it has not been committed.

Specified by:
  `close` in interface `AutoCloseable`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022